Subject: Re: [IPP] Updated IPP Everywhere 1.0 draft posted

From: Ira McDonald <[email-masked]>
Date: Sun, 2 Oct 2011 18:51:58 -0400

Hi Mike,

I'm working on a first draft I-D to update the LDAP Printer
Schema (RFC 3712).

I'm using your table in section 4.1 of IPP Everywhere for
directory and discovery attributes.  I added all your "note 1"
candidates.

Issues found:

(1) Missing "ipp-extensions-supported" entirely in table - but
both IPP Everywhere and proof print are important, I suggest.

(2) Missing "multiple-document-handling-supported" mapping
in table - "printer-multiple-document-handling-supported" in
RFC 3712.

(3) Missing "printer-charge-info-uri" comment for "note 1".

(4) Redundant "...organization" attributes - do we really to
put "printer-organization" and "printer-organizational-unit"
into LDAP/SLP/etc? - I suggest not.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG IPP WG
Chair - TCG Embedded Systems Hardcopy SG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Tue, Sep 27, 2011 at 4:08 PM, Michael Sweet <[email-masked]> wrote:

> All,
>
> I have posted the updated IPP Everywhere 1.0 draft to:
>
> ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve10-20110927.docx
> ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve10-20110927.pdf
> ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippeve10-20110927-rev.pdf
>
> For review at next week's F2F.
>
> __________________________________________________
> Michael Sweet, Senior Printing System Engineer, PWG Chair
>
>
> --
> This message has been scanned for viruses and
> dangerous content by *MailScanner* <http://www.mailscanner.info/>, and is
> believed to be clean.
>
> _______________________________________________
> ipp mailing list
> [email-masked]
> https://www.pwg.org/mailman/listinfo/ipp
>
>

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Sun, 02 Oct 2011 20:39:27 -0700

> into LDAP/SLP/etc? - I suggest not.

I'll add these to the list of issues.

---

From: Michael Sweet <[email-masked]>
Date: Mon, 17 Oct 2011 15:34:24 -0700

Justin,

Thanks for the feedback.  I'll digest your comments and provide some feedback, probably in a few weeks when I take my next pass at the IPP Everywhere spec...

On Oct 17, 2011, at 2:30 PM, Justin Hutchings wrote:

> All,
> Since I missed the F2F, I decided to catch up and drop some comments in the draft. Have a look and let me know if you have any questions.
>  
> Thanks!
> Justin
>  
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Sweet
> Sent: Sunday, October 02, 2011 8:39 PM
> To: Ira McDonald
> Cc: [email-masked]
> Subject: Re: [IPP] Updated IPP Everywhere 1.0 draft posted
>  
> <wd-ippeve10-20110927-justhu.docx>

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

---

From: Justin Hutchings <[email-masked]>
Date: Mon, 17 Oct 2011 21:30:56 +0000

WARNING: contains banned part

Subject: RE: [IPP] Updated IPP Everywhere 1.0 draft posted
From: Justin Hutchings <[email-masked]>
To: Michael Sweet <[email-masked]>, Ira McDonald <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 17 Oct 2011 21:30:56 +0000
List-Id: "Internet Printing Protocol \(current\)" <ipp.pwg.org>

All,

Thanks!
Justin

Issues found:

--
This message has been scanned for viruses and
dangerous content by MailScanner<http://www.mailscanner.info/>, and is
believed to be clean.